org.keycloak.dom.saml.v2.ac

## Class AuthenticatorTransportProtocolType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.AuthenticatorTransportProtocolType

-     public class AuthenticatorTransportProtocolType
      extends Object

  Java class for AuthenticatorTransportProtocolType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthenticatorTransportProtocolType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}HTTP"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}SSL"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}MobileNetworkNoEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}MobileNetworkRadioEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}MobileNetworkEndToEndEncryption"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}WTLS"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}IPSec"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}PSTN"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}ISDN"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac}ADSL"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtensionOnlyType` | `adsl`
    `protected List<ExtensionType>` | `extension`
    `protected ExtensionOnlyType` | `http`
    `protected ExtensionOnlyType` | `ipSec`
    `protected ExtensionOnlyType` | `isdn`
    `protected ExtensionOnlyType` | `mobileNetworkEndToEndEncryption`
    `protected ExtensionOnlyType` | `mobileNetworkNoEncryption`
    `protected ExtensionOnlyType` | `mobileNetworkRadioEncryption`
    `protected ExtensionOnlyType` | `pstn`
    `protected ExtensionOnlyType` | `ssl`
    `protected ExtensionOnlyType` | `wtls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatorTransportProtocolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionOnlyType` | `getADSL()` Gets the value of the adsl property.
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `ExtensionOnlyType` | `getHTTP()` Gets the value of the http property.
    `ExtensionOnlyType` | `getIPSec()` Gets the value of the ipSec property.
    `ExtensionOnlyType` | `getISDN()` Gets the value of the isdn property.
    `ExtensionOnlyType` | `getMobileNetworkEndToEndEncryption()` Gets the value of the mobileNetworkEndToEndEncryption property.
    `ExtensionOnlyType` | `getMobileNetworkNoEncryption()` Gets the value of the mobileNetworkNoEncryption property.
    `ExtensionOnlyType` | `getMobileNetworkRadioEncryption()` Gets the value of the mobileNetworkRadioEncryption property.
    `ExtensionOnlyType` | `getPSTN()` Gets the value of the pstn property.
    `ExtensionOnlyType` | `getSSL()` Gets the value of the ssl property.
    `ExtensionOnlyType` | `getWTLS()` Gets the value of the wtls property.
    `void` | `setADSL(ExtensionOnlyType value)` Sets the value of the adsl property.
    `void` | `setHTTP(ExtensionOnlyType value)` Sets the value of the http property.
    `void` | `setIPSec(ExtensionOnlyType value)` Sets the value of the ipSec property.
    `void` | `setISDN(ExtensionOnlyType value)` Sets the value of the isdn property.
    `void` | `setMobileNetworkEndToEndEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkEndToEndEncryption property.
    `void` | `setMobileNetworkNoEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkNoEncryption property.
    `void` | `setMobileNetworkRadioEncryption(ExtensionOnlyType value)` Sets the value of the mobileNetworkRadioEncryption property.
    `void` | `setPSTN(ExtensionOnlyType value)` Sets the value of the pstn property.
    `void` | `setSSL(ExtensionOnlyType value)` Sets the value of the ssl property.
    `void` | `setWTLS(ExtensionOnlyType value)` Sets the value of the wtls property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### http

          protected ExtensionOnlyType http

    - #### ssl

          protected ExtensionOnlyType ssl

    - #### mobileNetworkNoEncryption

          protected ExtensionOnlyType mobileNetworkNoEncryption

    - #### mobileNetworkRadioEncryption

          protected ExtensionOnlyType mobileNetworkRadioEncryption

    - #### mobileNetworkEndToEndEncryption

          protected ExtensionOnlyType mobileNetworkEndToEndEncryption

    - #### wtls

          protected ExtensionOnlyType wtls

    - #### ipSec

          protected ExtensionOnlyType ipSec

    - #### pstn

          protected ExtensionOnlyType pstn

    - #### isdn

          protected ExtensionOnlyType isdn

    - #### adsl

          protected ExtensionOnlyType adsl

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### AuthenticatorTransportProtocolType

          public AuthenticatorTransportProtocolType()

  - ### Method Detail

    - #### getHTTP

          public ExtensionOnlyType getHTTP()

      Gets the value of the http property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setHTTP

          public void setHTTP(ExtensionOnlyType value)

      Sets the value of the http property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getSSL

          public ExtensionOnlyType getSSL()

      Gets the value of the ssl property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setSSL

          public void setSSL(ExtensionOnlyType value)

      Sets the value of the ssl property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkNoEncryption

          public ExtensionOnlyType getMobileNetworkNoEncryption()

      Gets the value of the mobileNetworkNoEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkNoEncryption

          public void setMobileNetworkNoEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkNoEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkRadioEncryption

          public ExtensionOnlyType getMobileNetworkRadioEncryption()

      Gets the value of the mobileNetworkRadioEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkRadioEncryption

          public void setMobileNetworkRadioEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkRadioEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getMobileNetworkEndToEndEncryption

          public ExtensionOnlyType getMobileNetworkEndToEndEncryption()

      Gets the value of the mobileNetworkEndToEndEncryption property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setMobileNetworkEndToEndEncryption

          public void setMobileNetworkEndToEndEncryption(ExtensionOnlyType value)

      Sets the value of the mobileNetworkEndToEndEncryption property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getWTLS

          public ExtensionOnlyType getWTLS()

      Gets the value of the wtls property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setWTLS

          public void setWTLS(ExtensionOnlyType value)

      Sets the value of the wtls property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getIPSec

          public ExtensionOnlyType getIPSec()

      Gets the value of the ipSec property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setIPSec

          public void setIPSec(ExtensionOnlyType value)

      Sets the value of the ipSec property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getPSTN

          public ExtensionOnlyType getPSTN()

      Gets the value of the pstn property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setPSTN

          public void setPSTN(ExtensionOnlyType value)

      Sets the value of the pstn property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getISDN

          public ExtensionOnlyType getISDN()

      Gets the value of the isdn property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setISDN

          public void setISDN(ExtensionOnlyType value)

      Sets the value of the isdn property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getADSL

          public ExtensionOnlyType getADSL()

      Gets the value of the adsl property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setADSL

          public void setADSL(ExtensionOnlyType value)

      Sets the value of the adsl property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.